<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'b2buy',

    /*
     * Package.
     */
    'package'   => 'company',

    /*
     * Modules.
     */
    'modules'   => ['company'],

    
    'company'       => [
        'model' => [
            'model'                 => \B2buy\Company\Models\Company::class,
            'table'                 => 'companies',
            'presenter'             => \B2buy\Company\Repositories\Presenter\CompanyPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'admin_user',  'company_type',  'company_name',  'abn',  'work_email',  'company_phone',  'trading_name',  'show_trading_name_invoice',  'registered_office',  'duns_number',  'company_logo',  'order_email',  'invoice_email',  'coupa_advantage',  'coupa_customer',  'coupa_customer_code',  'coupa_invoice_shipping_tag',  'coupa_invoice_url',  'test_invoice_url',  'billto_name_production',  'billto_name_test',  'billing_address_line_1',  'billing_address_line_2',  'billing_address_line_3',  'billing_city',  'billing_state',  'billing_zip',  'billing_country',  'industry_vertical',  'direct_debit_agreement',  'supplier_direct_debit_agreement',  'wallet_account_id',  'direct_debit_accounts',  'card_accounts',  'payin_account',  'payout_account',  'managed_bank_accounts',  'payment_account_status',  'payment_card_status',  'kyc_status',  'zai_registered',  'payment_terms_0',  'payment_terms_delay',  'payment_policy',  'default_rule_status',  'default_rule_paymode',  'default_rule_account',  'assembly_agreement',  'web',  'default_address',  'address_line_1',  'address_line_2',  'suburb',  'postcode',  'state',  'country',  'custom_invoice_text',  'directors',  'linkedin_url',  'fb_url',  'agreement',  'terms',  'wizard_terms',  'interest',  'store_status',  'manage_bank',  'account_manage',  'account_access',  'manage_api',  'multi_user',  'master_industry',  'master_business_size',  'government',  'not_for_profit',  'master_diversity',  'diversity_details',  'diversity_approval',  'logo',  'about_content',  'blocked_categories',  'block_category_master',  'verify_company_name',  'verify_work_email',  'verify_abn',  'verify_duns_number',  'verify_company_phone',  'verify_trading_name',  'verify_director',  'verify_linkedin_url',  'verify_fb_url',  'verify_web',  'verify_invoice_email',  'verify_order_email',  'verify_registered_office',  'RFQ',  'wizard_steps',  'buyer_wizard_steps',  'supplier_wizard_steps',  'account_setup',  'cp_unique_name',  'referral_code',  'referred_by',  'b2buy_store_vendor',  'suffix',  'b2buy_policy',  'margin_background_process',  'b2buy_email',  'minimum_stock',  'customer_number',  'send_invoice_by_email',  'send_cxml_invoice',  'beta_user',  'login_to_live',  'login_to_beta',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'company/company',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'B2buy',
            'package'   => 'Company',
            'module'    => 'Company',
        ],

    ],
];
