<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCompaniesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: companies
         */
        Schema::create('companies', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->integer('admin_user')->nullable();
            $table->enum('company_type', ['','admin','buyer','supplier','agent'])->nullable();
            $table->string('company_name', 100)->nullable();
            $table->string('abn', 255)->nullable();
            $table->string('work_email', 100)->nullable();
            $table->string('company_phone', 100)->nullable();
            $table->string('trading_name', 100)->nullable();
            $table->string('show_trading_name_invoice', 255)->nullable();
            $table->string('registered_office', 255)->nullable();
            $table->string('duns_number', 100)->nullable();
            $table->text('company_logo')->nullable();
            $table->string('order_email', 100)->nullable();
            $table->string('invoice_email', 100)->nullable();
            $table->integer('coupa_advantage')->nullable();
            $table->integer('coupa_customer')->nullable();
            $table->string('coupa_customer_code', 100)->nullable();
            $table->integer('coupa_invoice_shipping_tag')->nullable();
            $table->string('coupa_invoice_url', 150)->nullable();
            $table->string('test_invoice_url', 150)->nullable();
            $table->string('billto_name_production', 150)->nullable();
            $table->string('billto_name_test', 150)->nullable();
            $table->string('billing_address_line_1', 255)->nullable();
            $table->string('billing_address_line_2', 255)->nullable();
            $table->string('billing_address_line_3', 255)->nullable();
            $table->string('billing_city', 60)->nullable();
            $table->string('billing_state', 30)->nullable();
            $table->string('billing_zip', 30)->nullable();
            $table->string('billing_country', 30)->nullable();
            $table->string('industry_vertical', 150)->nullable();
            $table->integer('direct_debit_agreement')->nullable();
            $table->integer('supplier_direct_debit_agreement')->nullable();
            $table->string('wallet_account_id', 155)->nullable();
            $table->text('direct_debit_accounts')->nullable();
            $table->text('card_accounts')->nullable();
            $table->text('payin_account')->nullable();
            $table->text('payout_account')->nullable();
            $table->text('managed_bank_accounts')->nullable();
            $table->enum('payment_account_status', ['Active','Inactive'])->nullable();
            $table->enum('payment_card_status', ['Active','Inactive'])->nullable();
            $table->enum('kyc_status', ['Pending','Pending Check','Approved KYC Check','Approved'])->nullable();
            $table->integer('zai_registered')->nullable();
            $table->integer('payment_terms_0')->nullable();
            $table->integer('payment_terms_delay')->nullable();
            $table->integer('payment_policy')->nullable();
            $table->integer('default_rule_status')->nullable();
            $table->string('default_rule_paymode', 150)->nullable();
            $table->string('default_rule_account', 150)->nullable();
            $table->integer('assembly_agreement')->nullable();
            $table->string('web', 100)->nullable();
            $table->integer('default_address')->nullable();
            $table->string('address_line_1', 255)->nullable();
            $table->string('address_line_2', 255)->nullable();
            $table->string('suburb', 255)->nullable();
            $table->string('postcode', 15)->nullable();
            $table->string('state', 10)->nullable();
            $table->string('country', 30)->nullable();
            $table->text('custom_invoice_text')->nullable();
            $table->text('directors')->nullable();
            $table->string('linkedin_url', 100)->nullable();
            $table->string('fb_url', 100)->nullable();
            $table->integer('agreement')->nullable();
            $table->integer('terms')->nullable();
            $table->tinyInteger('wizard_terms')->nullable();
            $table->enum('interest', ['1','0'])->nullable();
            $table->enum('store_status', ['Closed','Active','Locked','Margin-Changed'])->nullable();
            $table->enum('manage_bank', ['Yes','No'])->nullable();
            $table->enum('account_manage', ['Self','Admin'])->nullable();
            $table->enum('account_access', ['External','Internal'])->nullable();
            $table->enum('manage_api', ['','gns','ingram'])->nullable();
            $table->enum('multi_user', ['1','0'])->nullable();
            $table->integer('master_industry')->nullable();
            $table->integer('master_business_size')->nullable();
            $table->enum('government', ['Yes','No'])->nullable();
            $table->enum('not_for_profit', ['Yes','No'])->nullable();
            $table->text('master_diversity')->nullable();
            $table->longText('diversity_details')->nullable();
            $table->text('diversity_approval')->nullable();
            $table->text('logo')->nullable();
            $table->longText('about_content')->nullable();
            $table->longText('blocked_categories')->nullable();
            $table->longText('block_category_master')->nullable();
            $table->string('verify_company_name', 10)->nullable();
            $table->string('verify_work_email', 10)->nullable();
            $table->string('verify_abn', 10)->nullable();
            $table->string('verify_duns_number', 10)->nullable();
            $table->string('verify_company_phone', 10)->nullable();
            $table->string('verify_trading_name', 10)->nullable();
            $table->string('verify_director', 10)->nullable();
            $table->string('verify_linkedin_url', 10)->nullable();
            $table->string('verify_fb_url', 10)->nullable();
            $table->string('verify_web', 10)->nullable();
            $table->string('verify_invoice_email', 10)->nullable();
            $table->string('verify_order_email', 100)->nullable();
            $table->string('verify_registered_office', 15)->nullable();
            $table->enum('RFQ', ['0','1'])->nullable();
            $table->enum('wizard_steps', ['step1','step2'])->nullable();
            $table->enum('buyer_wizard_steps', ['step1','step2'])->nullable();
            $table->enum('supplier_wizard_steps', ['step1','step2'])->nullable();
            $table->enum('account_setup', ['Yes','No'])->nullable();
            $table->string('cp_unique_name', 100)->nullable();
            $table->string('referral_code', 255)->nullable();
            $table->integer('referred_by')->nullable();
            $table->string('b2buy_store_vendor', 255)->nullable();
            $table->string('suffix', 255)->nullable();
            $table->enum('b2buy_policy', ['Yes','No'])->nullable();
            $table->integer('margin_background_process')->nullable();
            $table->enum('b2buy_email', ['Yes','No'])->nullable();
            $table->integer('minimum_stock')->nullable();
            $table->string('customer_number', 255)->nullable();
            $table->integer('send_invoice_by_email')->nullable();
            $table->integer('send_cxml_invoice')->nullable();
            $table->integer('beta_user')->nullable();
            $table->integer('login_to_live')->nullable();
            $table->integer('login_to_beta')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('companies');
    }
}
