Lavalite package that provides company management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `b2buy/company`.

    "b2buy/company": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    B2buy\Company\Providers\CompanyServiceProvider::class,

And also add it to alias

    'Company'  => B2buy\Company\Facades\Company::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=B2buy\\CompanyTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="B2buy\Company\Providers\CompanyServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="B2buy\Company\Providers\CompanyServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="B2buy\Company\Providers\CompanyServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/company/{modulename}

**User**

    http://path-to-route-folder/user/company/{modulename}

**Public**

    http://path-to-route-folder/companies


### API endpoints

**List**

    http://path-to-route-folder/api/user/company/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/company/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/company/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/company/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/company/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/company/{modulename}/{slug}
    METHOD: GET