<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for company in company package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  company module in company package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Company',
    'names'         => 'Companies',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Companies',
        'sub'   => 'Companies',
        'list'  => 'List of companies',
        'edit'  => 'Edit company',
        'create'    => 'Create new company'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'company_type'        => ['','admin','buyer','supplier','agent'],
            'payment_account_status' => ['Active','Inactive'],
            'payment_card_status' => ['Active','Inactive'],
            'kyc_status'          => ['Pending','Pending Check','Approved KYC Check','Approved'],
            'interest'            => ['1','0'],
            'store_status'        => ['Closed','Active','Locked','Margin-Changed'],
            'manage_bank'         => ['Yes','No'],
            'account_manage'      => ['Self','Admin'],
            'account_access'      => ['External','Internal'],
            'manage_api'          => ['','gns','ingram'],
            'multi_user'          => ['1','0'],
            'government'          => ['Yes','No'],
            'not_for_profit'      => ['Yes','No'],
            'RFQ'                 => ['0','1'],
            'wizard_steps'        => ['step1','step2'],
            'buyer_wizard_steps'  => ['step1','step2'],
            'supplier_wizard_steps' => ['step1','step2'],
            'account_setup'       => ['Yes','No'],
            'b2buy_policy'        => ['Yes','No'],
            'b2buy_email'         => ['Yes','No'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'user_id'                    => 'Please enter user id',
        'admin_user'                 => 'Please enter admin user',
        'company_type'               => 'Please select company type',
        'company_name'               => 'Please enter company name',
        'abn'                        => 'Please enter abn',
        'work_email'                 => 'Please enter work email',
        'company_phone'              => 'Please enter company phone',
        'trading_name'               => 'Please enter trading name',
        'show_trading_name_invoice'        => 'Please enter show trading name invoice',
        'registered_office'          => 'Please enter registered office',
        'duns_number'                => 'Please enter duns number',
        'company_logo'               => 'Please enter company logo',
        'order_email'                => 'Please enter order email',
        'invoice_email'              => 'Please enter invoice email',
        'coupa_advantage'            => 'Please enter coupa advantage',
        'coupa_customer'             => 'Please enter coupa customer',
        'coupa_customer_code'        => 'Please enter coupa customer code',
        'coupa_invoice_shipping_tag'        => 'Please enter coupa invoice shipping tag',
        'coupa_invoice_url'          => 'Please enter coupa invoice url',
        'test_invoice_url'           => 'Please enter test invoice url',
        'billto_name_production'        => 'Please enter billto name production',
        'billto_name_test'           => 'Please enter billto name test',
        'billing_address_line_1'        => 'Please enter billing address line 1',
        'billing_address_line_2'        => 'Please enter billing address line 2',
        'billing_address_line_3'        => 'Please enter billing address line 3',
        'billing_city'               => 'Please enter billing city',
        'billing_state'              => 'Please enter billing state',
        'billing_zip'                => 'Please enter billing zip',
        'billing_country'            => 'Please enter billing country',
        'industry_vertical'          => 'Please enter industry vertical',
        'direct_debit_agreement'        => 'Please enter direct debit agreement',
        'supplier_direct_debit_agreement'        => 'Please enter supplier direct debit agreement',
        'wallet_account_id'          => 'Please enter wallet account id',
        'direct_debit_accounts'        => 'Please enter direct debit accounts',
        'card_accounts'              => 'Please enter card accounts',
        'payin_account'              => 'Please enter payin account',
        'payout_account'             => 'Please enter payout account',
        'managed_bank_accounts'        => 'Please enter managed bank accounts',
        'payment_account_status'        => 'Please select payment account status',
        'payment_card_status'        => 'Please select payment card status',
        'kyc_status'                 => 'Please select kyc status',
        'zai_registered'             => 'Please enter zai registered',
        'payment_terms_0'            => 'Please enter payment terms 0',
        'payment_terms_delay'        => 'Please enter payment terms delay',
        'payment_policy'             => 'Please enter payment policy',
        'default_rule_status'        => 'Please enter default rule status',
        'default_rule_paymode'        => 'Please enter default rule paymode',
        'default_rule_account'        => 'Please enter default rule account',
        'assembly_agreement'         => 'Please enter assembly agreement',
        'web'                        => 'Please enter web',
        'default_address'            => 'Please enter default address',
        'address_line_1'             => 'Please enter address line 1',
        'address_line_2'             => 'Please enter address line 2',
        'suburb'                     => 'Please enter suburb',
        'postcode'                   => 'Please enter postcode',
        'state'                      => 'Please enter state',
        'country'                    => 'Please enter country',
        'custom_invoice_text'        => 'Please enter custom invoice text',
        'directors'                  => 'Please enter directors',
        'linkedin_url'               => 'Please enter linkedin url',
        'fb_url'                     => 'Please enter fb url',
        'agreement'                  => 'Please enter agreement',
        'terms'                      => 'Please enter terms',
        'wizard_terms'               => 'Please enter wizard terms',
        'interest'                   => 'Please select interest',
        'store_status'               => 'Please select store status',
        'manage_bank'                => 'Please select manage bank',
        'account_manage'             => 'Please select account manage',
        'account_access'             => 'Please select account access',
        'manage_api'                 => 'Please select manage api',
        'multi_user'                 => 'Please select multi user',
        'master_industry'            => 'Please enter master industry',
        'master_business_size'        => 'Please enter master business size',
        'government'                 => 'Please select government',
        'not_for_profit'             => 'Please select not for profit',
        'master_diversity'           => 'Please enter master diversity',
        'diversity_details'          => 'Please enter diversity details',
        'diversity_approval'         => 'Please enter diversity approval',
        'logo'                       => 'Please enter logo',
        'about_content'              => 'Please enter about content',
        'blocked_categories'         => 'Please enter blocked categories',
        'block_category_master'        => 'Please enter block category master',
        'verify_company_name'        => 'Please enter verify company name',
        'verify_work_email'          => 'Please enter verify work email',
        'verify_abn'                 => 'Please enter verify abn',
        'verify_duns_number'         => 'Please enter verify duns number',
        'verify_company_phone'        => 'Please enter verify company phone',
        'verify_trading_name'        => 'Please enter verify trading name',
        'verify_director'            => 'Please enter verify director',
        'verify_linkedin_url'        => 'Please enter verify linkedin url',
        'verify_fb_url'              => 'Please enter verify fb url',
        'verify_web'                 => 'Please enter verify web',
        'verify_invoice_email'        => 'Please enter verify invoice email',
        'verify_order_email'         => 'Please enter verify order email',
        'verify_registered_office'        => 'Please enter verify registered office',
        'RFQ'                        => 'Please select RFQ',
        'wizard_steps'               => 'Please select wizard steps',
        'buyer_wizard_steps'         => 'Please select buyer wizard steps',
        'supplier_wizard_steps'        => 'Please select supplier wizard steps',
        'account_setup'              => 'Please select account setup',
        'cp_unique_name'             => 'Please enter cp unique name',
        'referral_code'              => 'Please enter referral code',
        'referred_by'                => 'Please enter referred by',
        'b2buy_store_vendor'         => 'Please enter b2buy store vendor',
        'suffix'                     => 'Please enter suffix',
        'b2buy_policy'               => 'Please select b2buy policy',
        'margin_background_process'        => 'Please enter margin background process',
        'b2buy_email'                => 'Please select b2buy email',
        'minimum_stock'              => 'Please enter minimum stock',
        'customer_number'            => 'Please enter customer number',
        'send_invoice_by_email'        => 'Please enter send invoice by email',
        'send_cxml_invoice'          => 'Please enter send cxml invoice',
        'beta_user'                  => 'Please enter beta user',
        'login_to_live'              => 'Please enter login to live',
        'login_to_beta'              => 'Please enter login to beta',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'user_id'                    => 'User id',
        'admin_user'                 => 'Admin user',
        'company_type'               => 'Company type',
        'company_name'               => 'Company name',
        'abn'                        => 'Abn',
        'work_email'                 => 'Work email',
        'company_phone'              => 'Company phone',
        'trading_name'               => 'Trading name',
        'show_trading_name_invoice'        => 'Show trading name invoice',
        'registered_office'          => 'Registered office',
        'duns_number'                => 'Duns number',
        'company_logo'               => 'Company logo',
        'order_email'                => 'Order email',
        'invoice_email'              => 'Invoice email',
        'coupa_advantage'            => 'Coupa advantage',
        'coupa_customer'             => 'Coupa customer',
        'coupa_customer_code'        => 'Coupa customer code',
        'coupa_invoice_shipping_tag'        => 'Coupa invoice shipping tag',
        'coupa_invoice_url'          => 'Coupa invoice url',
        'test_invoice_url'           => 'Test invoice url',
        'billto_name_production'        => 'Billto name production',
        'billto_name_test'           => 'Billto name test',
        'billing_address_line_1'        => 'Billing address line 1',
        'billing_address_line_2'        => 'Billing address line 2',
        'billing_address_line_3'        => 'Billing address line 3',
        'billing_city'               => 'Billing city',
        'billing_state'              => 'Billing state',
        'billing_zip'                => 'Billing zip',
        'billing_country'            => 'Billing country',
        'industry_vertical'          => 'Industry vertical',
        'direct_debit_agreement'        => 'Direct debit agreement',
        'supplier_direct_debit_agreement'        => 'Supplier direct debit agreement',
        'wallet_account_id'          => 'Wallet account id',
        'direct_debit_accounts'        => 'Direct debit accounts',
        'card_accounts'              => 'Card accounts',
        'payin_account'              => 'Payin account',
        'payout_account'             => 'Payout account',
        'managed_bank_accounts'        => 'Managed bank accounts',
        'payment_account_status'        => 'Payment account status',
        'payment_card_status'        => 'Payment card status',
        'kyc_status'                 => 'Kyc status',
        'zai_registered'             => 'Zai registered',
        'payment_terms_0'            => 'Payment terms 0',
        'payment_terms_delay'        => 'Payment terms delay',
        'payment_policy'             => 'Payment policy',
        'default_rule_status'        => 'Default rule status',
        'default_rule_paymode'        => 'Default rule paymode',
        'default_rule_account'        => 'Default rule account',
        'assembly_agreement'         => 'Assembly agreement',
        'web'                        => 'Web',
        'default_address'            => 'Default address',
        'address_line_1'             => 'Address line 1',
        'address_line_2'             => 'Address line 2',
        'suburb'                     => 'Suburb',
        'postcode'                   => 'Postcode',
        'state'                      => 'State',
        'country'                    => 'Country',
        'custom_invoice_text'        => 'Custom invoice text',
        'directors'                  => 'Directors',
        'linkedin_url'               => 'Linkedin url',
        'fb_url'                     => 'Fb url',
        'agreement'                  => 'Agreement',
        'terms'                      => 'Terms',
        'wizard_terms'               => 'Wizard terms',
        'interest'                   => 'Interest',
        'store_status'               => 'Store status',
        'manage_bank'                => 'Manage bank',
        'account_manage'             => 'Account manage',
        'account_access'             => 'Account access',
        'manage_api'                 => 'Manage api',
        'multi_user'                 => 'Multi user',
        'master_industry'            => 'Master industry',
        'master_business_size'        => 'Master business size',
        'government'                 => 'Government',
        'not_for_profit'             => 'Not for profit',
        'master_diversity'           => 'Master diversity',
        'diversity_details'          => 'Diversity details',
        'diversity_approval'         => 'Diversity approval',
        'logo'                       => 'Logo',
        'about_content'              => 'About content',
        'blocked_categories'         => 'Blocked categories',
        'block_category_master'        => 'Block category master',
        'verify_company_name'        => 'Verify company name',
        'verify_work_email'          => 'Verify work email',
        'verify_abn'                 => 'Verify abn',
        'verify_duns_number'         => 'Verify duns number',
        'verify_company_phone'        => 'Verify company phone',
        'verify_trading_name'        => 'Verify trading name',
        'verify_director'            => 'Verify director',
        'verify_linkedin_url'        => 'Verify linkedin url',
        'verify_fb_url'              => 'Verify fb url',
        'verify_web'                 => 'Verify web',
        'verify_invoice_email'        => 'Verify invoice email',
        'verify_order_email'         => 'Verify order email',
        'verify_registered_office'        => 'Verify registered office',
        'RFQ'                        => 'RFQ',
        'wizard_steps'               => 'Wizard steps',
        'buyer_wizard_steps'         => 'Buyer wizard steps',
        'supplier_wizard_steps'        => 'Supplier wizard steps',
        'account_setup'              => 'Account setup',
        'cp_unique_name'             => 'Cp unique name',
        'referral_code'              => 'Referral code',
        'referred_by'                => 'Referred by',
        'b2buy_store_vendor'         => 'B2buy store vendor',
        'suffix'                     => 'Suffix',
        'b2buy_policy'               => 'B2buy policy',
        'margin_background_process'        => 'Margin background process',
        'b2buy_email'                => 'B2buy email',
        'minimum_stock'              => 'Minimum stock',
        'customer_number'            => 'Customer number',
        'send_invoice_by_email'        => 'Send invoice by email',
        'send_cxml_invoice'          => 'Send cxml invoice',
        'beta_user'                  => 'Beta user',
        'login_to_live'              => 'Login to live',
        'login_to_beta'              => 'Login to beta',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'admin_user'                 => ['name' => 'Admin user', 'data-column' => 1, 'checked'],
        'company_type'               => ['name' => 'Company type', 'data-column' => 2, 'checked'],
        'company_name'               => ['name' => 'Company name', 'data-column' => 3, 'checked'],
        'abn'                        => ['name' => 'Abn', 'data-column' => 4, 'checked'],
        'work_email'                 => ['name' => 'Work email', 'data-column' => 5, 'checked'],
        'company_phone'              => ['name' => 'Company phone', 'data-column' => 6, 'checked'],
        'trading_name'               => ['name' => 'Trading name', 'data-column' => 7, 'checked'],
        'show_trading_name_invoice'        => ['name' => 'Show trading name invoice', 'data-column' => 8, 'checked'],
        'registered_office'          => ['name' => 'Registered office', 'data-column' => 9, 'checked'],
        'duns_number'                => ['name' => 'Duns number', 'data-column' => 10, 'checked'],
        'company_logo'               => ['name' => 'Company logo', 'data-column' => 11, 'checked'],
        'order_email'                => ['name' => 'Order email', 'data-column' => 12, 'checked'],
        'invoice_email'              => ['name' => 'Invoice email', 'data-column' => 13, 'checked'],
        'coupa_advantage'            => ['name' => 'Coupa advantage', 'data-column' => 14, 'checked'],
        'coupa_customer'             => ['name' => 'Coupa customer', 'data-column' => 15, 'checked'],
        'coupa_customer_code'        => ['name' => 'Coupa customer code', 'data-column' => 16, 'checked'],
        'coupa_invoice_shipping_tag'        => ['name' => 'Coupa invoice shipping tag', 'data-column' => 17, 'checked'],
        'coupa_invoice_url'          => ['name' => 'Coupa invoice url', 'data-column' => 18, 'checked'],
        'test_invoice_url'           => ['name' => 'Test invoice url', 'data-column' => 19, 'checked'],
        'billto_name_production'        => ['name' => 'Billto name production', 'data-column' => 20, 'checked'],
        'billto_name_test'           => ['name' => 'Billto name test', 'data-column' => 21, 'checked'],
        'billing_address_line_1'        => ['name' => 'Billing address line 1', 'data-column' => 22, 'checked'],
        'billing_address_line_2'        => ['name' => 'Billing address line 2', 'data-column' => 23, 'checked'],
        'billing_address_line_3'        => ['name' => 'Billing address line 3', 'data-column' => 24, 'checked'],
        'billing_city'               => ['name' => 'Billing city', 'data-column' => 25, 'checked'],
        'billing_state'              => ['name' => 'Billing state', 'data-column' => 26, 'checked'],
        'billing_zip'                => ['name' => 'Billing zip', 'data-column' => 27, 'checked'],
        'billing_country'            => ['name' => 'Billing country', 'data-column' => 28, 'checked'],
        'industry_vertical'          => ['name' => 'Industry vertical', 'data-column' => 29, 'checked'],
        'direct_debit_agreement'        => ['name' => 'Direct debit agreement', 'data-column' => 30, 'checked'],
        'supplier_direct_debit_agreement'        => ['name' => 'Supplier direct debit agreement', 'data-column' => 31, 'checked'],
        'wallet_account_id'          => ['name' => 'Wallet account id', 'data-column' => 32, 'checked'],
        'direct_debit_accounts'        => ['name' => 'Direct debit accounts', 'data-column' => 33, 'checked'],
        'card_accounts'              => ['name' => 'Card accounts', 'data-column' => 34, 'checked'],
        'payin_account'              => ['name' => 'Payin account', 'data-column' => 35, 'checked'],
        'payout_account'             => ['name' => 'Payout account', 'data-column' => 36, 'checked'],
        'managed_bank_accounts'        => ['name' => 'Managed bank accounts', 'data-column' => 37, 'checked'],
        'payment_account_status'        => ['name' => 'Payment account status', 'data-column' => 38, 'checked'],
        'payment_card_status'        => ['name' => 'Payment card status', 'data-column' => 39, 'checked'],
        'kyc_status'                 => ['name' => 'Kyc status', 'data-column' => 40, 'checked'],
        'zai_registered'             => ['name' => 'Zai registered', 'data-column' => 41, 'checked'],
        'payment_terms_0'            => ['name' => 'Payment terms 0', 'data-column' => 42, 'checked'],
        'payment_terms_delay'        => ['name' => 'Payment terms delay', 'data-column' => 43, 'checked'],
        'payment_policy'             => ['name' => 'Payment policy', 'data-column' => 44, 'checked'],
        'default_rule_status'        => ['name' => 'Default rule status', 'data-column' => 45, 'checked'],
        'default_rule_paymode'        => ['name' => 'Default rule paymode', 'data-column' => 46, 'checked'],
        'default_rule_account'        => ['name' => 'Default rule account', 'data-column' => 47, 'checked'],
        'assembly_agreement'         => ['name' => 'Assembly agreement', 'data-column' => 48, 'checked'],
        'web'                        => ['name' => 'Web', 'data-column' => 49, 'checked'],
        'default_address'            => ['name' => 'Default address', 'data-column' => 50, 'checked'],
        'address_line_1'             => ['name' => 'Address line 1', 'data-column' => 51, 'checked'],
        'address_line_2'             => ['name' => 'Address line 2', 'data-column' => 52, 'checked'],
        'suburb'                     => ['name' => 'Suburb', 'data-column' => 53, 'checked'],
        'postcode'                   => ['name' => 'Postcode', 'data-column' => 54, 'checked'],
        'state'                      => ['name' => 'State', 'data-column' => 55, 'checked'],
        'country'                    => ['name' => 'Country', 'data-column' => 56, 'checked'],
        'custom_invoice_text'        => ['name' => 'Custom invoice text', 'data-column' => 57, 'checked'],
        'directors'                  => ['name' => 'Directors', 'data-column' => 58, 'checked'],
        'linkedin_url'               => ['name' => 'Linkedin url', 'data-column' => 59, 'checked'],
        'fb_url'                     => ['name' => 'Fb url', 'data-column' => 60, 'checked'],
        'agreement'                  => ['name' => 'Agreement', 'data-column' => 61, 'checked'],
        'terms'                      => ['name' => 'Terms', 'data-column' => 62, 'checked'],
        'wizard_terms'               => ['name' => 'Wizard terms', 'data-column' => 63, 'checked'],
        'interest'                   => ['name' => 'Interest', 'data-column' => 64, 'checked'],
        'store_status'               => ['name' => 'Store status', 'data-column' => 65, 'checked'],
        'manage_bank'                => ['name' => 'Manage bank', 'data-column' => 66, 'checked'],
        'account_manage'             => ['name' => 'Account manage', 'data-column' => 67, 'checked'],
        'account_access'             => ['name' => 'Account access', 'data-column' => 68, 'checked'],
        'manage_api'                 => ['name' => 'Manage api', 'data-column' => 69, 'checked'],
        'multi_user'                 => ['name' => 'Multi user', 'data-column' => 70, 'checked'],
        'master_industry'            => ['name' => 'Master industry', 'data-column' => 71, 'checked'],
        'master_business_size'        => ['name' => 'Master business size', 'data-column' => 72, 'checked'],
        'government'                 => ['name' => 'Government', 'data-column' => 73, 'checked'],
        'not_for_profit'             => ['name' => 'Not for profit', 'data-column' => 74, 'checked'],
        'master_diversity'           => ['name' => 'Master diversity', 'data-column' => 75, 'checked'],
        'diversity_approval'         => ['name' => 'Diversity approval', 'data-column' => 76, 'checked'],
        'logo'                       => ['name' => 'Logo', 'data-column' => 77, 'checked'],
        'verify_company_name'        => ['name' => 'Verify company name', 'data-column' => 78, 'checked'],
        'verify_work_email'          => ['name' => 'Verify work email', 'data-column' => 79, 'checked'],
        'verify_abn'                 => ['name' => 'Verify abn', 'data-column' => 80, 'checked'],
        'verify_duns_number'         => ['name' => 'Verify duns number', 'data-column' => 81, 'checked'],
        'verify_company_phone'        => ['name' => 'Verify company phone', 'data-column' => 82, 'checked'],
        'verify_trading_name'        => ['name' => 'Verify trading name', 'data-column' => 83, 'checked'],
        'verify_director'            => ['name' => 'Verify director', 'data-column' => 84, 'checked'],
        'verify_linkedin_url'        => ['name' => 'Verify linkedin url', 'data-column' => 85, 'checked'],
        'verify_fb_url'              => ['name' => 'Verify fb url', 'data-column' => 86, 'checked'],
        'verify_web'                 => ['name' => 'Verify web', 'data-column' => 87, 'checked'],
        'verify_invoice_email'        => ['name' => 'Verify invoice email', 'data-column' => 88, 'checked'],
        'verify_order_email'         => ['name' => 'Verify order email', 'data-column' => 89, 'checked'],
        'verify_registered_office'        => ['name' => 'Verify registered office', 'data-column' => 90, 'checked'],
        'RFQ'                        => ['name' => 'RFQ', 'data-column' => 91, 'checked'],
        'wizard_steps'               => ['name' => 'Wizard steps', 'data-column' => 92, 'checked'],
        'buyer_wizard_steps'         => ['name' => 'Buyer wizard steps', 'data-column' => 93, 'checked'],
        'supplier_wizard_steps'        => ['name' => 'Supplier wizard steps', 'data-column' => 94, 'checked'],
        'account_setup'              => ['name' => 'Account setup', 'data-column' => 95, 'checked'],
        'cp_unique_name'             => ['name' => 'Cp unique name', 'data-column' => 96, 'checked'],
        'referral_code'              => ['name' => 'Referral code', 'data-column' => 97, 'checked'],
        'referred_by'                => ['name' => 'Referred by', 'data-column' => 98, 'checked'],
        'b2buy_store_vendor'         => ['name' => 'B2buy store vendor', 'data-column' => 99, 'checked'],
        'suffix'                     => ['name' => 'Suffix', 'data-column' => 100, 'checked'],
        'b2buy_policy'               => ['name' => 'B2buy policy', 'data-column' => 101, 'checked'],
        'margin_background_process'        => ['name' => 'Margin background process', 'data-column' => 102, 'checked'],
        'b2buy_email'                => ['name' => 'B2buy email', 'data-column' => 103, 'checked'],
        'minimum_stock'              => ['name' => 'Minimum stock', 'data-column' => 104, 'checked'],
        'customer_number'            => ['name' => 'Customer number', 'data-column' => 105, 'checked'],
        'send_invoice_by_email'        => ['name' => 'Send invoice by email', 'data-column' => 106, 'checked'],
        'send_cxml_invoice'          => ['name' => 'Send cxml invoice', 'data-column' => 107, 'checked'],
        'beta_user'                  => ['name' => 'Beta user', 'data-column' => 108, 'checked'],
        'login_to_live'              => ['name' => 'Login to live', 'data-column' => 109, 'checked'],
        'login_to_beta'              => ['name' => 'Login to beta', 'data-column' => 110, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Companies',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
