<?php

namespace B2buy\Company\Forms;

class Company
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'admin_user' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.admin_user'),
                    "placeholder" => trans('company::company.placeholder.admin_user'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'company_type' => [
                    "type" => 'radios',
                    "label" => trans('company::company.label.company_type'),
                    "placeholder" => trans('company::company.placeholder.company_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'company_name' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.company_name'),
                    "placeholder" => trans('company::company.placeholder.company_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'abn' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.abn'),
                    "placeholder" => trans('company::company.placeholder.abn'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'work_email' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.work_email'),
                    "placeholder" => trans('company::company.placeholder.work_email'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'company_phone' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.company_phone'),
                    "placeholder" => trans('company::company.placeholder.company_phone'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'trading_name' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.trading_name'),
                    "placeholder" => trans('company::company.placeholder.trading_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'show_trading_name_invoice' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.show_trading_name_invoice'),
                    "placeholder" => trans('company::company.placeholder.show_trading_name_invoice'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'registered_office' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.registered_office'),
                    "placeholder" => trans('company::company.placeholder.registered_office'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'duns_number' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.duns_number'),
                    "placeholder" => trans('company::company.placeholder.duns_number'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'company_logo' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.company_logo'),
                    "placeholder" => trans('company::company.placeholder.company_logo'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'order_email' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.order_email'),
                    "placeholder" => trans('company::company.placeholder.order_email'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'invoice_email' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.invoice_email'),
                    "placeholder" => trans('company::company.placeholder.invoice_email'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'coupa_advantage' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.coupa_advantage'),
                    "placeholder" => trans('company::company.placeholder.coupa_advantage'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'coupa_customer' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.coupa_customer'),
                    "placeholder" => trans('company::company.placeholder.coupa_customer'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'coupa_customer_code' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.coupa_customer_code'),
                    "placeholder" => trans('company::company.placeholder.coupa_customer_code'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'coupa_invoice_shipping_tag' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.coupa_invoice_shipping_tag'),
                    "placeholder" => trans('company::company.placeholder.coupa_invoice_shipping_tag'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'coupa_invoice_url' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.coupa_invoice_url'),
                    "placeholder" => trans('company::company.placeholder.coupa_invoice_url'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'test_invoice_url' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.test_invoice_url'),
                    "placeholder" => trans('company::company.placeholder.test_invoice_url'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'billto_name_production' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.billto_name_production'),
                    "placeholder" => trans('company::company.placeholder.billto_name_production'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'billto_name_test' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.billto_name_test'),
                    "placeholder" => trans('company::company.placeholder.billto_name_test'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'billing_address_line_1' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.billing_address_line_1'),
                    "placeholder" => trans('company::company.placeholder.billing_address_line_1'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'billing_address_line_2' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.billing_address_line_2'),
                    "placeholder" => trans('company::company.placeholder.billing_address_line_2'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'billing_address_line_3' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.billing_address_line_3'),
                    "placeholder" => trans('company::company.placeholder.billing_address_line_3'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'billing_city' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.billing_city'),
                    "placeholder" => trans('company::company.placeholder.billing_city'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'billing_state' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.billing_state'),
                    "placeholder" => trans('company::company.placeholder.billing_state'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'billing_zip' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.billing_zip'),
                    "placeholder" => trans('company::company.placeholder.billing_zip'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'billing_country' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.billing_country'),
                    "placeholder" => trans('company::company.placeholder.billing_country'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'industry_vertical' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.industry_vertical'),
                    "placeholder" => trans('company::company.placeholder.industry_vertical'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'direct_debit_agreement' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.direct_debit_agreement'),
                    "placeholder" => trans('company::company.placeholder.direct_debit_agreement'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'supplier_direct_debit_agreement' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.supplier_direct_debit_agreement'),
                    "placeholder" => trans('company::company.placeholder.supplier_direct_debit_agreement'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'wallet_account_id' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.wallet_account_id'),
                    "placeholder" => trans('company::company.placeholder.wallet_account_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'direct_debit_accounts' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.direct_debit_accounts'),
                    "placeholder" => trans('company::company.placeholder.direct_debit_accounts'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'card_accounts' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.card_accounts'),
                    "placeholder" => trans('company::company.placeholder.card_accounts'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'payin_account' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.payin_account'),
                    "placeholder" => trans('company::company.placeholder.payin_account'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'payout_account' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.payout_account'),
                    "placeholder" => trans('company::company.placeholder.payout_account'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'managed_bank_accounts' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.managed_bank_accounts'),
                    "placeholder" => trans('company::company.placeholder.managed_bank_accounts'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'payment_account_status' => [
                    "type" => 'radios',
                    "label" => trans('company::company.label.payment_account_status'),
                    "placeholder" => trans('company::company.placeholder.payment_account_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'payment_card_status' => [
                    "type" => 'radios',
                    "label" => trans('company::company.label.payment_card_status'),
                    "placeholder" => trans('company::company.placeholder.payment_card_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'kyc_status' => [
                    "type" => 'radios',
                    "label" => trans('company::company.label.kyc_status'),
                    "placeholder" => trans('company::company.placeholder.kyc_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'zai_registered' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.zai_registered'),
                    "placeholder" => trans('company::company.placeholder.zai_registered'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'payment_terms_0' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.payment_terms_0'),
                    "placeholder" => trans('company::company.placeholder.payment_terms_0'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'payment_terms_delay' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.payment_terms_delay'),
                    "placeholder" => trans('company::company.placeholder.payment_terms_delay'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'payment_policy' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.payment_policy'),
                    "placeholder" => trans('company::company.placeholder.payment_policy'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'default_rule_status' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.default_rule_status'),
                    "placeholder" => trans('company::company.placeholder.default_rule_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'default_rule_paymode' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.default_rule_paymode'),
                    "placeholder" => trans('company::company.placeholder.default_rule_paymode'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'default_rule_account' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.default_rule_account'),
                    "placeholder" => trans('company::company.placeholder.default_rule_account'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'assembly_agreement' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.assembly_agreement'),
                    "placeholder" => trans('company::company.placeholder.assembly_agreement'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'web' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.web'),
                    "placeholder" => trans('company::company.placeholder.web'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'default_address' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.default_address'),
                    "placeholder" => trans('company::company.placeholder.default_address'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'address_line_1' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.address_line_1'),
                    "placeholder" => trans('company::company.placeholder.address_line_1'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'address_line_2' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.address_line_2'),
                    "placeholder" => trans('company::company.placeholder.address_line_2'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'suburb' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.suburb'),
                    "placeholder" => trans('company::company.placeholder.suburb'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'postcode' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.postcode'),
                    "placeholder" => trans('company::company.placeholder.postcode'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'state' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.state'),
                    "placeholder" => trans('company::company.placeholder.state'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'country' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.country'),
                    "placeholder" => trans('company::company.placeholder.country'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'custom_invoice_text' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.custom_invoice_text'),
                    "placeholder" => trans('company::company.placeholder.custom_invoice_text'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'directors' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.directors'),
                    "placeholder" => trans('company::company.placeholder.directors'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'linkedin_url' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.linkedin_url'),
                    "placeholder" => trans('company::company.placeholder.linkedin_url'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'fb_url' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.fb_url'),
                    "placeholder" => trans('company::company.placeholder.fb_url'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'agreement' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.agreement'),
                    "placeholder" => trans('company::company.placeholder.agreement'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'terms' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.terms'),
                    "placeholder" => trans('company::company.placeholder.terms'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'wizard_terms' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.wizard_terms'),
                    "placeholder" => trans('company::company.placeholder.wizard_terms'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'interest' => [
                    "type" => 'radios',
                    "label" => trans('company::company.label.interest'),
                    "placeholder" => trans('company::company.placeholder.interest'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'store_status' => [
                    "type" => 'radios',
                    "label" => trans('company::company.label.store_status'),
                    "placeholder" => trans('company::company.placeholder.store_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'manage_bank' => [
                    "type" => 'radios',
                    "label" => trans('company::company.label.manage_bank'),
                    "placeholder" => trans('company::company.placeholder.manage_bank'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'account_manage' => [
                    "type" => 'radios',
                    "label" => trans('company::company.label.account_manage'),
                    "placeholder" => trans('company::company.placeholder.account_manage'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'account_access' => [
                    "type" => 'radios',
                    "label" => trans('company::company.label.account_access'),
                    "placeholder" => trans('company::company.placeholder.account_access'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'manage_api' => [
                    "type" => 'radios',
                    "label" => trans('company::company.label.manage_api'),
                    "placeholder" => trans('company::company.placeholder.manage_api'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'multi_user' => [
                    "type" => 'radios',
                    "label" => trans('company::company.label.multi_user'),
                    "placeholder" => trans('company::company.placeholder.multi_user'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'master_industry' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.master_industry'),
                    "placeholder" => trans('company::company.placeholder.master_industry'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'master_business_size' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.master_business_size'),
                    "placeholder" => trans('company::company.placeholder.master_business_size'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'government' => [
                    "type" => 'radios',
                    "label" => trans('company::company.label.government'),
                    "placeholder" => trans('company::company.placeholder.government'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'not_for_profit' => [
                    "type" => 'radios',
                    "label" => trans('company::company.label.not_for_profit'),
                    "placeholder" => trans('company::company.placeholder.not_for_profit'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'master_diversity' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.master_diversity'),
                    "placeholder" => trans('company::company.placeholder.master_diversity'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'diversity_details' => [
                    "type" => 'html_editor',
                    "label" => trans('company::company.label.diversity_details'),
                    "placeholder" => trans('company::company.placeholder.diversity_details'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'diversity_approval' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.diversity_approval'),
                    "placeholder" => trans('company::company.placeholder.diversity_approval'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'logo' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.logo'),
                    "placeholder" => trans('company::company.placeholder.logo'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'about_content' => [
                    "type" => 'html_editor',
                    "label" => trans('company::company.label.about_content'),
                    "placeholder" => trans('company::company.placeholder.about_content'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'blocked_categories' => [
                    "type" => 'html_editor',
                    "label" => trans('company::company.label.blocked_categories'),
                    "placeholder" => trans('company::company.placeholder.blocked_categories'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'block_category_master' => [
                    "type" => 'html_editor',
                    "label" => trans('company::company.label.block_category_master'),
                    "placeholder" => trans('company::company.placeholder.block_category_master'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'verify_company_name' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.verify_company_name'),
                    "placeholder" => trans('company::company.placeholder.verify_company_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'verify_work_email' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.verify_work_email'),
                    "placeholder" => trans('company::company.placeholder.verify_work_email'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'verify_abn' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.verify_abn'),
                    "placeholder" => trans('company::company.placeholder.verify_abn'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'verify_duns_number' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.verify_duns_number'),
                    "placeholder" => trans('company::company.placeholder.verify_duns_number'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'verify_company_phone' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.verify_company_phone'),
                    "placeholder" => trans('company::company.placeholder.verify_company_phone'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'verify_trading_name' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.verify_trading_name'),
                    "placeholder" => trans('company::company.placeholder.verify_trading_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'verify_director' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.verify_director'),
                    "placeholder" => trans('company::company.placeholder.verify_director'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'verify_linkedin_url' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.verify_linkedin_url'),
                    "placeholder" => trans('company::company.placeholder.verify_linkedin_url'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'verify_fb_url' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.verify_fb_url'),
                    "placeholder" => trans('company::company.placeholder.verify_fb_url'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'verify_web' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.verify_web'),
                    "placeholder" => trans('company::company.placeholder.verify_web'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'verify_invoice_email' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.verify_invoice_email'),
                    "placeholder" => trans('company::company.placeholder.verify_invoice_email'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'verify_order_email' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.verify_order_email'),
                    "placeholder" => trans('company::company.placeholder.verify_order_email'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'verify_registered_office' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.verify_registered_office'),
                    "placeholder" => trans('company::company.placeholder.verify_registered_office'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'RFQ' => [
                    "type" => 'radios',
                    "label" => trans('company::company.label.RFQ'),
                    "placeholder" => trans('company::company.placeholder.RFQ'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'wizard_steps' => [
                    "type" => 'radios',
                    "label" => trans('company::company.label.wizard_steps'),
                    "placeholder" => trans('company::company.placeholder.wizard_steps'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'buyer_wizard_steps' => [
                    "type" => 'radios',
                    "label" => trans('company::company.label.buyer_wizard_steps'),
                    "placeholder" => trans('company::company.placeholder.buyer_wizard_steps'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'supplier_wizard_steps' => [
                    "type" => 'radios',
                    "label" => trans('company::company.label.supplier_wizard_steps'),
                    "placeholder" => trans('company::company.placeholder.supplier_wizard_steps'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'account_setup' => [
                    "type" => 'radios',
                    "label" => trans('company::company.label.account_setup'),
                    "placeholder" => trans('company::company.placeholder.account_setup'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'cp_unique_name' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.cp_unique_name'),
                    "placeholder" => trans('company::company.placeholder.cp_unique_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'referral_code' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.referral_code'),
                    "placeholder" => trans('company::company.placeholder.referral_code'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'referred_by' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.referred_by'),
                    "placeholder" => trans('company::company.placeholder.referred_by'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'b2buy_store_vendor' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.b2buy_store_vendor'),
                    "placeholder" => trans('company::company.placeholder.b2buy_store_vendor'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'suffix' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.suffix'),
                    "placeholder" => trans('company::company.placeholder.suffix'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'b2buy_policy' => [
                    "type" => 'radios',
                    "label" => trans('company::company.label.b2buy_policy'),
                    "placeholder" => trans('company::company.placeholder.b2buy_policy'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'margin_background_process' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.margin_background_process'),
                    "placeholder" => trans('company::company.placeholder.margin_background_process'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'b2buy_email' => [
                    "type" => 'radios',
                    "label" => trans('company::company.label.b2buy_email'),
                    "placeholder" => trans('company::company.placeholder.b2buy_email'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'minimum_stock' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.minimum_stock'),
                    "placeholder" => trans('company::company.placeholder.minimum_stock'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'customer_number' => [
                    "type" => 'text',
                    "label" => trans('company::company.label.customer_number'),
                    "placeholder" => trans('company::company.placeholder.customer_number'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'send_invoice_by_email' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.send_invoice_by_email'),
                    "placeholder" => trans('company::company.placeholder.send_invoice_by_email'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'send_cxml_invoice' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.send_cxml_invoice'),
                    "placeholder" => trans('company::company.placeholder.send_cxml_invoice'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'beta_user' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.beta_user'),
                    "placeholder" => trans('company::company.placeholder.beta_user'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'login_to_live' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.login_to_live'),
                    "placeholder" => trans('company::company.placeholder.login_to_live'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'login_to_beta' => [
                    "type" => 'numeric',
                    "label" => trans('company::company.label.login_to_beta'),
                    "placeholder" => trans('company::company.placeholder.login_to_beta'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
