<?php

namespace B2buy\Company\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CompanyTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Company\Models\Company $company)
    {
        return [
            'id'                => $company->getRouteKey(),
            'key'               => [
                'public'    => $company->getPublicKey(),
                'route'     => $company->getRouteKey(),
            ], 
            'user_id'           => $company->user_id,
            'admin_user'        => $company->admin_user,
            'company_type'      => $company->company_type,
            'company_name'      => $company->company_name,
            'abn'               => $company->abn,
            'work_email'        => $company->work_email,
            'company_phone'     => $company->company_phone,
            'trading_name'      => $company->trading_name,
            'show_trading_name_invoice' => $company->show_trading_name_invoice,
            'registered_office' => $company->registered_office,
            'duns_number'       => $company->duns_number,
            'company_logo'      => $company->company_logo,
            'order_email'       => $company->order_email,
            'invoice_email'     => $company->invoice_email,
            'coupa_advantage'   => $company->coupa_advantage,
            'coupa_customer'    => $company->coupa_customer,
            'coupa_customer_code' => $company->coupa_customer_code,
            'coupa_invoice_shipping_tag' => $company->coupa_invoice_shipping_tag,
            'coupa_invoice_url' => $company->coupa_invoice_url,
            'test_invoice_url'  => $company->test_invoice_url,
            'billto_name_production' => $company->billto_name_production,
            'billto_name_test'  => $company->billto_name_test,
            'billing_address_line_1' => $company->billing_address_line_1,
            'billing_address_line_2' => $company->billing_address_line_2,
            'billing_address_line_3' => $company->billing_address_line_3,
            'billing_city'      => $company->billing_city,
            'billing_state'     => $company->billing_state,
            'billing_zip'       => $company->billing_zip,
            'billing_country'   => $company->billing_country,
            'industry_vertical' => $company->industry_vertical,
            'direct_debit_agreement' => $company->direct_debit_agreement,
            'supplier_direct_debit_agreement' => $company->supplier_direct_debit_agreement,
            'wallet_account_id' => $company->wallet_account_id,
            'direct_debit_accounts' => $company->direct_debit_accounts,
            'card_accounts'     => $company->card_accounts,
            'payin_account'     => $company->payin_account,
            'payout_account'    => $company->payout_account,
            'managed_bank_accounts' => $company->managed_bank_accounts,
            'payment_account_status' => $company->payment_account_status,
            'payment_card_status' => $company->payment_card_status,
            'kyc_status'        => $company->kyc_status,
            'zai_registered'    => $company->zai_registered,
            'payment_terms_0'   => $company->payment_terms_0,
            'payment_terms_delay' => $company->payment_terms_delay,
            'payment_policy'    => $company->payment_policy,
            'default_rule_status' => $company->default_rule_status,
            'default_rule_paymode' => $company->default_rule_paymode,
            'default_rule_account' => $company->default_rule_account,
            'assembly_agreement' => $company->assembly_agreement,
            'web'               => $company->web,
            'default_address'   => $company->default_address,
            'address_line_1'    => $company->address_line_1,
            'address_line_2'    => $company->address_line_2,
            'suburb'            => $company->suburb,
            'postcode'          => $company->postcode,
            'state'             => $company->state,
            'country'           => $company->country,
            'custom_invoice_text' => $company->custom_invoice_text,
            'directors'         => $company->directors,
            'linkedin_url'      => $company->linkedin_url,
            'fb_url'            => $company->fb_url,
            'agreement'         => $company->agreement,
            'terms'             => $company->terms,
            'wizard_terms'      => $company->wizard_terms,
            'interest'          => $company->interest,
            'store_status'      => $company->store_status,
            'manage_bank'       => $company->manage_bank,
            'account_manage'    => $company->account_manage,
            'account_access'    => $company->account_access,
            'manage_api'        => $company->manage_api,
            'multi_user'        => $company->multi_user,
            'master_industry'   => $company->master_industry,
            'master_business_size' => $company->master_business_size,
            'government'        => $company->government,
            'not_for_profit'    => $company->not_for_profit,
            'master_diversity'  => $company->master_diversity,
            'diversity_details' => $company->diversity_details,
            'diversity_approval' => $company->diversity_approval,
            'logo'              => $company->logo,
            'about_content'     => $company->about_content,
            'blocked_categories' => $company->blocked_categories,
            'block_category_master' => $company->block_category_master,
            'verify_company_name' => $company->verify_company_name,
            'verify_work_email' => $company->verify_work_email,
            'verify_abn'        => $company->verify_abn,
            'verify_duns_number' => $company->verify_duns_number,
            'verify_company_phone' => $company->verify_company_phone,
            'verify_trading_name' => $company->verify_trading_name,
            'verify_director'   => $company->verify_director,
            'verify_linkedin_url' => $company->verify_linkedin_url,
            'verify_fb_url'     => $company->verify_fb_url,
            'verify_web'        => $company->verify_web,
            'verify_invoice_email' => $company->verify_invoice_email,
            'verify_order_email' => $company->verify_order_email,
            'verify_registered_office' => $company->verify_registered_office,
            'RFQ'               => $company->RFQ,
            'wizard_steps'      => $company->wizard_steps,
            'buyer_wizard_steps' => $company->buyer_wizard_steps,
            'supplier_wizard_steps' => $company->supplier_wizard_steps,
            'account_setup'     => $company->account_setup,
            'cp_unique_name'    => $company->cp_unique_name,
            'referral_code'     => $company->referral_code,
            'referred_by'       => $company->referred_by,
            'b2buy_store_vendor' => $company->b2buy_store_vendor,
            'suffix'            => $company->suffix,
            'b2buy_policy'      => $company->b2buy_policy,
            'margin_background_process' => $company->margin_background_process,
            'b2buy_email'       => $company->b2buy_email,
            'minimum_stock'     => $company->minimum_stock,
            'customer_number'   => $company->customer_number,
            'send_invoice_by_email' => $company->send_invoice_by_email,
            'send_cxml_invoice' => $company->send_cxml_invoice,
            'beta_user'         => $company->beta_user,
            'login_to_live'     => $company->login_to_live,
            'login_to_beta'     => $company->login_to_beta,
            'deleted_at'        => $company->deleted_at,
            'url'               => [
                'public'    => trans_url('company/'.$company->getPublicKey()),
                'user'      => guard_url('company/company/'.$company->getRouteKey()),
            ], 
            'status'            => trans('app.'.$company->status),
            'created_at'        => format_date($company->created_at),
            'updated_at'        => format_date($company->updated_at),
        ];
    }
}